<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script>
        // let num = 20;
        // let str = "5";
        // console.log(num + str);
        // console.log(num - str);
        // console.log(num * str);
        //
        // let t = true;
        // let f = false;
        // console.log(0 == f);
        // console.log(1 === t);
        //
        // let x = 6, y = 15, z = 4;
        // console.log(x += y  - x++ * z);
        // console.log(x);
        // console.log(z = --x - y * 5);
        // console.log(y /= x + 5 % z);
        // console.log('random string' + 500);
        // console.log('random string' + +'number');
        // console.log('random string' + +'500n');
        // console.log('random string' + parseInt('404not found'));
        // console.log(!!'false' == !!'true');
        // console.log('true' == true);
        // console.log('true' === true);
        // console.log(NaN == 1` `NaN == NaN` `NaN === NaN` `NaN > NaN` `NaN < NaN` `NaN >= NaN` `NaN <= NaN);
        //
        // console.log('new task')
        //
        // let firstNumber;
        // let secondNumber;
        // let thirdNumber;
        //
        // console.log((firstNumber + secondNumber + thirdNumber) / 3);
        // console.log(Math.max(firstNumber, secondNumber, thirdNumber));
        // console.log(Math.min(firstNumber, secondNumber, thirdNumber));
        // console.log("First: " + ((firstNumber > secondNumber && firstNumber > thirdNumber) * firstNumber));
        // console.log("Second: " + ((firstNumber < secondNumber && secondNumber > thirdNumber) * secondNumber));
        // console.log("Third: " + ((thirdNumber > secondNumber && firstNumber < thirdNumber) * thirdNumber));
        firstNumber = +(prompt("first"));
        secondNumber = +(prompt("second"));
        thirdNumber = +(prompt("third"));
        let isFirst = (firstNumber >= secondNumber && firstNumber >= thirdNumber) * firstNumber;
        let isSecond = (firstNumber < secondNumber && secondNumber >= thirdNumber) * secondNumber;
        let isThird = (thirdNumber > secondNumber && firstNumber < thirdNumber) * thirdNumber;
        let max = isFirst + isSecond + isThird;
        alert("Max number: " + max);
    </script>
</head>
<body>

</body>
</html>